Rated TV
curl --request GET \
--url https://api.themoviedb.org/3/guest_session/{guest_session_id}/rated/tv \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/guest_session/{guest_session_id}/rated/tv"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/guest_session/{guest_session_id}/rated/tv', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/guest_session/{guest_session_id}/rated/tv",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/guest_session/{guest_session_id}/rated/tv"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/guest_session/{guest_session_id}/rated/tv")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/guest_session/{guest_session_id}/rated/tv")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"page": 1,
"results": [
{
"adult": false,
"backdrop_path": "/2OMB0ynKlyIenMJWI2Dy9IWT4c.jpg",
"genre_ids": [
10765,
18,
10759
],
"id": 1399,
"origin_country": [
"US"
],
"original_language": "en",
"original_name": "Game of Thrones",
"overview": "Seven noble families fight for control of the mythical land of Westeros. Friction between the houses leads to full-scale war. All while a very ancient evil awakens in the farthest north. Amidst the war, a neglected military order of misfits, the Night's Watch, is all that stands between the realms of men and icy horrors beyond.",
"popularity": 404.299,
"poster_path": "/7WUHnWGx5OO145IRxPDUkQSh4C7.jpg",
"first_air_date": "2011-04-17",
"name": "Game of Thrones",
"vote_average": 8.436,
"vote_count": 21025,
"rating": 8.5
}
],
"total_pages": 1,
"total_results": 1
}GUEST SESSIONS
Rated TV
This endpoint get the rated TV shows for a guest session.
GET
/
guest_session
/
{guest_session_id}
/
rated
/
tv
Rated TV
curl --request GET \
--url https://api.themoviedb.org/3/guest_session/{guest_session_id}/rated/tv \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/guest_session/{guest_session_id}/rated/tv"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/guest_session/{guest_session_id}/rated/tv', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/guest_session/{guest_session_id}/rated/tv",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/guest_session/{guest_session_id}/rated/tv"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/guest_session/{guest_session_id}/rated/tv")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/guest_session/{guest_session_id}/rated/tv")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"page": 1,
"results": [
{
"adult": false,
"backdrop_path": "/2OMB0ynKlyIenMJWI2Dy9IWT4c.jpg",
"genre_ids": [
10765,
18,
10759
],
"id": 1399,
"origin_country": [
"US"
],
"original_language": "en",
"original_name": "Game of Thrones",
"overview": "Seven noble families fight for control of the mythical land of Westeros. Friction between the houses leads to full-scale war. All while a very ancient evil awakens in the farthest north. Amidst the war, a neglected military order of misfits, the Night's Watch, is all that stands between the realms of men and icy horrors beyond.",
"popularity": 404.299,
"poster_path": "/7WUHnWGx5OO145IRxPDUkQSh4C7.jpg",
"first_air_date": "2011-04-17",
"name": "Game of Thrones",
"vote_average": 8.436,
"vote_count": 21025,
"rating": 8.5
}
],
"total_pages": 1,
"total_results": 1
}